## swtpm 0.6.1

=== debian/changelog ===
swtpm (0.6.1-0ubuntu5) jammy; urgency=medium

  * debian/patches/openssl-not-certtool.patch: Use traditional format
    output as expected by tests.
  * Set executable bit on debian/tests/run-tests.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 02 Dec 2021 17:54:13 +0000

swtpm (0.6.1-0ubuntu4) jammy; urgency=medium

  * debian/patches/openssl-not-certtool.patch: Use openssl at runtime,
    not certtool.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Nov 2021 13:16:42 -0700

swtpm (0.6.1-0ubuntu3) jammy; urgency=medium

  * Don't use the tss user for swtpm, this overloads a user already used for
    physical tpm ACLs.  LP: #1949060.
  * Add missing adduser dependency to swtpm-tools.
  * Add missing debhelper token to swtpm-tools.postinst.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Oct 2021 05:47:30 -0700

swtpm (0.6.1-0ubuntu2) jammy; urgency=medium

  * Include packaging fixes from upstream to the postinst.
  * Drop tpm-udev dependency, not needed because we create the tss user
    ourselves now as needed.
  * Add autopkgtests.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Oct 2021 20:52:45 -0700

swtpm (0.6.1-0ubuntu1) jammy; urgency=medium

  * Initial release, using packaging from upstream.
  * debian/patches/0001-Install-swtpm-localca-to-the-correct-path.patch:
    Install swtpm-localca to the correct path.
  * debian/patches/no-autoconf-in-debian.patch: don't modify debian
    directory from upstream configure script.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Oct 2021 01:04:51 +0000
