=== debian/control ===
Source: swtpm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: misc
Priority: optional
Standards-Version: 4.5.1
Build-Depends: libtool,
	       debhelper-compat (= 10),
	       libtpms-dev,
	       libfuse-dev,
	       libglib2.0-dev,
	       libjson-glib-dev,
	       libgmp-dev,
	       expect,
	       libtasn1-dev,
	       socat,
	       python3-twisted,
	       gnutls-dev,
	       gnutls-bin,
	       libssl-dev,
	       net-tools,
	       gawk,
	       softhsm2,
	       libseccomp-dev

Package: swtpm
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
# linux-image-extra
Description: Libtpms-based TPM emulator
 The swtpm package provides TPM emulators that listen for TPM commands
 on sockets, character devices, or CUSE devices.

Package: swtpm-tools
Architecture: any
Description: Tools for the TPM emulator
 The swtpm-tools package contains the following types of tools:
  - swtpm_bios: Tool for initializing the TPM
  - swtpm_ioctl: Tool for controlling the CUSE TPM
  - swtpm_setup: Tool for creating the initial state of the TPM; this
      tool basically simulates TPM manufacturing where certificates are
      written into the NVRAM of the TPM
  - swtpm_cert: Creation of certificates for the TPM (x509)
Depends: swtpm (= ${binary:Version}),
	 adduser,
	 ${shlibs:Depends},
	 ${misc:Depends},
	 openssl
Suggests: trousers (>= 0.3.9)
