=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.5.1
 Build-Depends: libtool,
 	       debhelper-compat (= 10),
+	       dh-apparmor,
 	       libtpms-dev,
 	       libfuse-dev,
 	       libglib2.0-dev,
