=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/swtpm-$1\.tar\.gz/ \
  https://github.com/stefanberger/swtpm/tags .*/v?(\d\S*)\.tar\.gz
