## swtpm 0.7.1

=== debian/changelog ===
swtpm (0.7.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 28 Apr 2022 16:46:26 -0700

swtpm (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Fix a security issue, CVE-2022-23645
  * debian/control: Change Standards-Version to 4.6.0

 -- Seunghun Han <kkamagui@gmail.com>  Tue, 22 Feb 2022 16:50:30 +0900

swtpm (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #941199)

 -- Seunghun Han <kkamagui@gmail.com>  Fri, 22 Oct 2021 13:53:57 +0900
