=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure -- --with-openssl --with-gnutls --without-cuse

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	SWTPM_TEST_SECCOMP_OPT="--seccomp action=none" make -j4 check VERBOSE=1
endif

override_dh_clean:
	dh_clean --exclude=man/man8/swtpm-localca.8

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym
