## swtpm 0.7.3

=== debian/changelog ===
swtpm (0.7.3-0ubuntu5.24.04.1) noble; urgency=medium

  * d/usr.bin.swtpm:
    - Add sys_admin capability to apparmor profile to allow access to kernel
      modules such as tpm_vtpm_proxy (LP: #2071478)
    - Allow non-owned lockfile write access in /var/lib/libvirt/swtpm/ to fix
      apparmor denials when working with TPM2 locks (LP: #2072524)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 30 Jul 2024 15:16:43 -0700

swtpm (0.7.3-0ubuntu5) noble; urgency=medium

  * Add patch to force the buildsystem to build with -D_FORTIFY_SOURCE=3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 15:18:02 -0400

swtpm (0.7.3-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:21:09 +1100

swtpm (0.7.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:29:18 +0000

swtpm (0.7.3-0ubuntu2) mantic; urgency=medium

  * d/usr.bin.swtpm: Configure apparmor to grant access to relevant files in
    /run/user/<UID>/libvirt/qemu/run/swtpm/ files when using the
    qemu:///session bus (LP: #2017874)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 04 Aug 2023 11:10:37 +0200

swtpm (0.7.3-0ubuntu1) lunar; urgency=medium

  * New upstream release 0.7.3:
    - Bug fixes include:
      + Fix secure boot failure - TPM 2.0 not supported (LP: #2012028)
  * Add new debian/ files from upstream
    - d/clean: Clean man and gch files from source tree during build
    - d/not-installed: Do not install .la lib files with package
    - d/swtpm-libs.install: Install swtpm .so files with swtpm-libs package
  * d/rules: Add dh_clean and dh_makeshlibs overrides from upstream
  * d/swtpm-tools.install: Update installation of swtpm-tools files for 0.7
  * d/control: Remove unneeded dependencies for 0.7
  * Remove d/p/0001-Install-swtpm-localca-to-the-correct-path.patch as it is
    no longer needed to change swtpm-localca's path
  * d/p/no-autoconf-in-debian.patch: Refresh to clean fuzz
  * d/p/openssl-not-certtool.patch: Update and refresh to apply with 0.7

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 22 Mar 2023 14:03:19 -0700

swtpm (0.6.3-0ubuntu5) lunar; urgency=medium

  * d/usr.bin.swtpm: Allow swtpm to also access /run/libvirt/qemu/swtpm/*.pid
    files that it does not own (LP: #1989100)

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 24 Oct 2022 10:52:06 -0700

swtpm (0.6.3-0ubuntu4) kinetic; urgency=medium

  * d/usr.bin.swtpm: Update apparmor profile to match swtpm upstream
    In between adding the apparmor profile to Ubuntu and merging upstream
    additional rules were used to cover more common use cases. (LP: #1992377)
    - The six capability lines fix the broken upstream unit test cases:
      test_ctrlchannel, test_vtpm_proxy, test_tpm2_file_permissions,
      test_tpm2_save_load_state_2_block, and test_tpm2_ctrlchannel2
    - owner @{HOME}/** rwk was added as using a folder in one's home directory
      is common for managing tpm states
    - Access in the tmp directory is further generalized as this is where swtpm
      interacts with qemu and libvirt
    - The ability to read from /etc/nsswitch.conf was added for vtpm proxy to
      work

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 11 Oct 2022 10:54:21 -0700
