## swtpm 0.10.1%2Bds

=== debian/changelog ===
swtpm (0.10.1+ds-1) unstable; urgency=medium

  * Implement package salvaging protocol (Closes: #1113719)
  * Mark swtpm-dev as MA: same
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Add d/salsa-ci.yml
  * d/rules: drop manual nocheck workaround
  * Build with package-notes ELF stamping
  * Add lintian overrides for spare-manual-page
  * Drop upstream machinery to make swtpm_cert optional to install
  * d/rules: drop manual autogen.sh
  * Exclude upstream debian/ directory from imports
  * New upstream version 0.10.1 (Closes: #1025738)
  * Drop fix-typos.patch, merged upstream
  * Drop move-conf-and-options-files-to-man5.patch, merged upstream
  * Bump dependency on libtpms-dev
  * d/not-installed: list upstream installed-tests
  * Drop build dependency on fuse (Closes: #1084403)
  * d/rules: explicitly disable selinux support
  * d/rules: avoid cleaning up checked in source file
  * Backport patches to fix make maintainer-clean (Closes: #1049074)
  * Backport patch to install sysusers.d and tmpfiles.d configs and use
    them
  * increase-poll-timeout.patch: update header and set forwarded tag
  * Backport patch to fix failing test
  * Add support for nocheck profile

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Sep 2025 19:31:08 +0100

swtpm (0.7.1-1.5) unstable; urgency=medium

  * Non-maintainer upload
  * Drop hard-coded Depends on libtpms0 from swtpm-libs.
    The correct, versioned dependency is automatically computed by
    dh_shlibdeps.
  * Remove any dependency on libglib2.0 from swtpm-libs.
    This basically reverts 62c6de07746efd63d9ab14893854a827dd3693e5 and
    simply drops any hard-coded reference on libglib2.0-0 from swtpm-libs.
    The library libswtpm_libtpms does not actually use anything from glib.
    (Closes: #1086348)

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Nov 2024 21:43:55 +0100

swtpm (0.7.1-1.4) unstable; urgency=medium

  * Non-maintainer upload
  * Don't hard-code dependency on shared library package (Closes: #1068602)

 -- Bastian Germann <bage@debian.org>  Sat, 20 Apr 2024 10:43:03 +0000

swtpm (0.7.1-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Revert "Remove essential Depends: adduser"

 -- Bastian Germann <bage@debian.org>  Thu, 18 May 2023 19:52:09 +0200

swtpm (0.7.1-1.2) unstable; urgency=high

  * Non-maintainer upload
  * Patch: Increase poll timeout (Closes: #1036101)
  * Add autopkgtest
  * Remove essential Depends: adduser

 -- Bastian Germann <bage@debian.org>  Thu, 18 May 2023 19:16:12 +0200

swtpm (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * swtpm-dev: Add missing Depends: swtpm-libs (#1035460)

 -- Bastian Germann <bage@debian.org>  Fri, 12 May 2023 19:06:09 +0200
