## swtpm 0.10.1+ds

=== debian/changelog ===
swtpm (0.10.1+ds-1ubuntu3) resolute; urgency=medium

  * d/control: Add breaks and replaces entries for binary packages with
    transferred files (LP: #2137625).

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 07 Jan 2026 15:25:31 -0500

swtpm (0.10.1+ds-1ubuntu2) resolute; urgency=medium

  * d/control: Remove gnutls-bin runtime dependency, using openssl instead.

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 05 Jan 2026 11:21:05 -0500

swtpm (0.10.1+ds-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126004).
    This is the first merge of swtpm histories between Debian and Ubuntu. As
    such, all superficial differences in the packaging have been removed in
    favor of matching Debian to reduce delta. Non-trivial changes from Debian
    include:
    - Addition of swtpm-libs binary package containing swtpm common libraries.
    - Addition of swtpm-dev binary package containing files for the CUSE
      interface.
    - d/copyright cleanup.
    - Additional patches:
      + increase-poll-timeout.patch: Double poll timeout to account for when
        swtpm creates a key.
      + automake-do-not-remove-checked-in-selinux-source-files.patch: Avoid
        cleaning up checked-in SELinux source files on distclean.
      + automake-remove-more-generated-files-on-distclean.patch: Remove
        additional unneeded files on distclean.
      + swtpm-install-sysusers.d-and-tmpfiles.d-configs.patch: Install
        sysusers.d and tmpfiles.d configs and remove swtpm-tools.postinst from
        configure.ac inclusions.
      + tests-Retry-NVWrite-command-after-0x922-return-code.patch: Retry
        NVWrite command in tests after 0x922 return code.
    - Add hardening=+all
    - Use --without-selinux in configuration.
    - Include binaries in self-tests.
    - Add command-line autopkgtest.
  * Remaining changes:
    - d/t/run-tests: Add autopkgtest to run upstream test suite.
    - d/swtpm-tools.postinst: Include upstream packaging fixes in postinst.
    - Use swtpm user for swtpm to avoid overloading tss user already used for
      physical tpm ACLs (LP #1949060).
      + d/rules: Set tss user in configure.
      + d/swtpm-tools.postinst: Swap from tss user to swtpm user.
      + d/control: Add adduser dependency to swtpm-tools for creating swtpm
        user.
    - d/p/openssl-not-certtool.patch: Use openssl at runtime, not certtool.
    - d/control: Add openssl runtime dependency to swtpm-tools.
    - Add apparmor profile to swtpm (LP #1950631).
      + d/usr.bin.swtpm: Create new apparmor profile.
      + d/swtpm.install: Copy apparmor profile to /etc/apparmor.d/.
      + d/rules: Deploy the swtpm apparmor profile.
      + d/control: Add dh-apparmor as a dependency.
    - d/clean: Clean man and gch files from source tree during build.
    - d/rules: Add dh_clean override from upstream.
    - d/p/fortify-source.patch: Add patch to force the buildsystem to build
      with -D_FORTIFY_SOURCE=3.
    - d/rules: Ignore make check tests when nocheck option set.
  * Dropped Changes:
    - d/p/no-autoconf-in-debian.patch
      [Included in swtpm-install-sysusers.d-and-tmpfiles.d-configs.patch]
    - d/swtpm-tools.install: swtpm_setup and swtpm-localca manpage inclusions.
      [Files removed upstream in 0.8]
  * d/NEWS: Add NEWS file to document changes from this initial Debian merge.

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 18 Dec 2025 09:15:50 -0500

swtpm (0.7.3-0ubuntu9) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:03:22 +0100

swtpm (0.7.3-0ubuntu8) plucky; urgency=medium

  * d/usr.bin.swtpm: Allow additional tmp directory access through user-tmp
    abstraction, and remove the original full /tmp permissions (LP: #2086736)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 08 Nov 2024 15:25:24 -0700

swtpm (0.7.3-0ubuntu7) oracular; urgency=medium

  * d/usr.bin.swtpm:
    - Add sys_admin capability to apparmor profile to allow access to kernel
      modules such as tpm_vtpm_proxy (LP: #2071478)
    - Allow non-owned lockfile write access in /var/lib/libvirt/swtpm/ to fix
      apparmor denials when working with TPM2 locks (LP: #2072524)

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 09 Jul 2024 06:06:00 -0700

swtpm (0.7.3-0ubuntu6) oracular; urgency=medium

  * Fix autopkgtests following dpkg changes (LP: #2071468)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jul 2024 12:29:58 +0200
