=== debian/control ===
Source: swtpm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Boccassi <bluca@debian.org>
Uploaders: Seunghun Han <kkamagui@gmail.com>,
Section: misc
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/stefanberger/swtpm
Vcs-Browser: https://salsa.debian.org/debian/swtpm
Vcs-Git: https://salsa.debian.org/debian/swtpm.git
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               dh-apparmor,
               dh-package-notes,
               dh-sequence-installsysusers,
               expect <!nocheck>,
               gawk <!nocheck>,
               gnutls-bin,
               gnutls-dev,
               libglib2.0-dev,
               libgmp-dev,
               libjson-glib-dev,
               libseccomp-dev,
               libssl-dev,
               libtasn1-dev,
               libtool,
               libtpms-dev (>= 0.10~),
               net-tools <!nocheck>,
               python3-twisted <!nocheck>,
               socat <!nocheck>,
               softhsm2 <!nocheck>,

Package: swtpm
Architecture: any
Depends: swtpm-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Libtpms-based TPM emulator
 The swtpm package provides TPM emulators that listen for TPM commands
 on sockets, character devices, or CUSE devices.

Package: swtpm-dev
Architecture: any
Multi-Arch: same
Depends: swtpm-libs (= ${binary:Version}),
         ${misc:Depends}
Breaks: swtpm (<< 0.10.1+ds-1)
Replaces: swtpm (<< 0.10.1+ds-1)
Description: Include files for the TPM emulator's CUSE interface
 The swtpm-dev package provides include files for developing clients
 controlling the CUSE TPM through ioctls.

Package: swtpm-libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: openssl,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: swtpm (<< 0.10.1+ds-1)
Replaces: swtpm (<< 0.10.1+ds-1)
Description: Common libraries for TPM emulators
 The swtpm-libs package provides the shared libraries for the swtpm
 and swtpm-cuse packages.

Package: swtpm-tools
Architecture: any
Description: Tools for the TPM emulator
 The swtpm-tools package contains the following types of tools:
  - swtpm_bios: Tool for initializing the TPM
  - swtpm_ioctl: Tool for controlling the CUSE TPM
  - swtpm_setup: Tool for creating the initial state of the TPM; this
      tool basically simulates TPM manufacturing where certificates are
      written into the NVRAM of the TPM
  - swtpm_cert: Creation of certificates for the TPM (x509)
Depends: adduser,
         openssl,
         swtpm (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: trousers (>= 0.3.9)
