=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-openssl --with-gnutls --without-cuse --without-selinux \
		--with-tss-user=swtpm --with-tss-group=swtpm \
		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),--disable-tests,--enable-tests)

override_dh_install:
	dh_install
	# deploy swtpm's apparmor profile
	dh_apparmor -pswtpm --profile-name=usr.bin.swtpm

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	SWTPM_TEST_SECCOMP_OPT="--seccomp action=none" make -j4 check VERBOSE=1
endif

override_dh_clean:
	dh_clean --exclude=man/man8/swtpm-localca.8

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts
