=== debian/tests/control ===
Tests: commandline
Depends: @

Tests: run-tests
Restrictions: allow-stderr
Depends: @, @builddeps@
